if(MSVC AND NOT DEFINED DBGHELP_INCLUDE_DIR AND NOT DEFINED DBGHELP_LIBRARY)
	set(DBGHELP_INCLUDE_DIR "")
	set(DBGHELP_LIBRARY "dbghelp")
	set(DBGHELP_FOUND TRUE)
endif()

if(NOT DBGHELP_FOUND)
	find_path(DBGHELP_INCLUDE_DIR NAMES dbghelp.h PATH_SUFFIXES include)
	set(DBGHELP_NAMES ${DBGHELP_NAMES} dbghelp)
	find_library(DBGHELP_LIBRARY NAMES ${DBGHELP_NAMES})

	include(FindPackageHandleStandardArgs)
	FIND_PACKAGE_HANDLE_STANDARD_ARGS(DBGHELP DEFAULT_MSG DBGHELP_LIBRARY DBGHELP_INCLUDE_DIR)
endif()

if(DBGHELP_FOUND)
	set(DBGHELP_LIBRARIES ${DBGHELP_LIBRARY})
endif()

mark_as_advanced(DBGHELP_LIBRARY DBGHELP_INCLUDE_DIR)
